Campaigns

Home > E-Shop > Campaigns
UH-1H Argo Campaign

Requires DCS World version 1.5!

"Argo" is a story-driven campaign comprising a series of Naval Operations with the iconic UH-1H. As a pilot of the Hellenic Navy, assigned to the recently obtained FFG-46 Argo Frigate, your day-by-day missions include a variety of demanding tasks such as flying in all-weather conditions, Search & Rescue ops, Cargo delivery, Troops transport & Antisubmarine warfare.

You and Argo's crew have just sailed towards the Black sea for the needs of NATO "Sea Breeze" exercise. NATO is very cautious and takes extra protection measures since it is believed that small ISIL terrorist groups have infiltrated Georgia by exploiting the refugee waves coming from Turkey.

Your Huey’s performance in the exercise will define its future in the Hellenic Navy as military analysists doubt its competence in a modern Naval environment. The eyes of the whole fleet are on you and your chopper. Are you up for the task?

The DCS: UH-1H Huey is required to be installed and activated as part of DCS World 1.5 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

F-5E Aggressors Air Combat Maneuver Campaign

Requires DCS World version 2.0!

The F-5E Aggressors ACM campaign puts you in the cockpit of an F-5E Tiger II, as a new Aggressor pilot with the 65th Aggressor Squadron at Nellis Air Force Base. Based on real world procedures you will fly as Red Air against Blue Air Forces.

You will face a series of challenging Air Combat Maneuver (ACM) missions against dis-similar aircraft. Your opponents include the F-4E, F-5E, F-14A, F-15C, F-15E, F-16C, F/A-18C, M-2000C, MiG-29G, CF-188, MiG-21 and unknown.

Additionally there are 11 single player practice missions with in-air starts so you can perfect your ACM tactics and techniques.

  • There are over 1800 voiceovers and 49 pages of briefing material including the RED FLAG Spins, Red Forces In Flight Guide,
  • Maps, Diagrams, Custom Kneeboards and Mission Data cards.

The DCS: F-5E Tiger II and DCS: Nevada map are required to be installed and activated into the DCS World 2 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

A-10C Stone Shield Campaign

Requires DCS World version 1.5!

A-10C: Stone Shield is a story-driven campaign that puts you in the cockpit of an A-10C Warthog as a USAF pilot assigned to the 445th Air Expeditionary Wing. In 2015 Abkhazia, South Ossetia and Russia have announced the start of the "Caucasus-2015" military exercise. Intelligence analysis later reveals that the exercises is actually cover for Russia forces repositioning to the Abkhazian territory and further escalating tensions in the Caucasus region. The 445th Air Expeditionary Wing and the 6th mechanized brigade have been deployed to Georgia as a response by NATO to counter Russia's military aggression against its peaceful neighbor.

The DCS: A-10C Warthog is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English, Russian.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

The Border Campaign

Requires DCS World version 1.5.5!

"The Border" is the storyline campaign of a Russian Air-Force pilot flying the Mi-8MTV2 helicopter inside DCS World. The player serves as a helicopter commander in the South Ossetia border area. In the course of 15 missions you’ll have to fly day and night sorties, deliver cargo and military personnel to remote outposts, land and pick up ground forces by helicopter, participate in special-forces raids conducted at the territory of the Republic.

The DCS Mi-8MTV2 is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English, Russian.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

F-5E Aggressors Basic Fighter Maneuvers Campaign

Requires DCS World version 2.0!

The F-5E Aggressors BFM campaign puts you in the cockpit of an F-5E Tiger II, as a new Aggressor pilot with the 65th Aggressor Squadron at Nellis Air Force Base.

Based on real world procedures you will fly as Red Air against Blue Air Forces.

Upon arrival you will fly a familiarization flight around the Nevada Test and Training Range (NTTR). Then you will face a series of challenging Basic Fighter Maneuver (BFM) missions against similar and dis-similar aircraft. Your opponents include the F-4E, F-5E, F-14A, F-15C, F-16C, F/A-18C, M-2000C, MiG-29G, CF-188 and MiG-21.

The DCS: F-5E Tiger II and DCS: NEVADA Test and Training Range Map are required to be installed and activated into the DCS World 2 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

A-10C Advanced Aircraft Training Qualification Campaign

Requires DCS World version 1.5!

The A-10C Advanced Aircraft Training Qualification campaign puts you in the cockpit of an A-10C Warthog, and tests your ability to use the aircraft's weapon systems successfully.

Based on real world qualification requirements you will fly 10 performance check rides to execute against pre-defined performance objectives. If successful you will rate a Qualified rating and proceed to the next performance objective.

The DCS: A-10C is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

A-10C Operation Piercing Fury Campaign

Requires DCS World version 1.5!

Operation Piercing Fury (OPF) is a story driven campaign consisting of you leading a forwarded deployed A-10C Warthog "Hawg" Flight in the Georgian Area of Operations (AO). You will be assigned to and commanded by the Joint Special Operations Command providing direct support to conventional and non-conventional coalition forces in the region against Al-Doran and Special Purpose Islamic Army extremist groups.

The DCS: A-10C Warthog is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

The Museum Relic Campaign

Requires DCS World version 1.5!

"The Museum Relic" is a story driven campaign that takes place between the two small fictional countries of Matova and Obristen. As their war stretches on into its fifth year, both nations are feeling the strain of not being able to replenish any of their lost vehicles. You will fly as a character who, at the beginning of the war, was just a civilian. But after seeing the dire situation his country is facing, decides to enlist in the Matova Army Air Corp. With his enlistment papers, he also brings with him his personal aircraft which he had donated to the Museum years ago.

The DCS: MiG-15bis or DCS: F-86F Sabre are required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

P-51D High Stakes Campaign

Requires DCS World version 1.5!

The "P-51D: High Stakes" campaign is a single-player, story-driven campaign for DCS: P-51D Mustang. The premise of the campaign is that a powerful businessman and gambler named "Maslov" has employed the pilot-for-hire pilot Vasily Sinitsa with promises of mountains of money. In return, Vasily needs to fly and master the venerable Mustang over a string of 15 missions that will test his skills. Maslov will put the Vasily at more risk as the campaign progresses and Vasily will need to use all his skills to not only to fulfill his assigned tasks but to also save his life and, in the long run, his honor.

The DCS: P-51D Mustang is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English, Russian.

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

A-10C Basic Flight Training Campaign

Requires DCS World version 1.5!

The A-10C Basic Flight Training Qualification campaign puts you in the cockpit of an A-10C Warthog, and tests your ability to fly the aircraft successfully.

Based on real world qualification requirements you will fly 12 performance check rides to execute against pre-defined performance objectives. If successful you will rate a Qualified rating and proceed to the next performance objective.

The DCS: A-10C Warthog module is required to be installed and activated into the DCS World 1.5 for the campaign.

Localization: English

DRM key has 3 activations.

STEAM Incompatible

Requires another product

Minimum system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i3; RAM: 8 GB; Free hard disk space: 30 GB; Video: 2 GB RAM card, DirectX11 - compatible; requires internet activation.

Recommended system requirements: OS 64-bit Windows 7/8/10; DirectX11; CPU: Core i5+; RAM: 16GB; Hard disk space: 30 GB; Video: NVIDIA GeForce GTX780 / ATI R9 290 DirectX11 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 1.5 installed on your PC.

Visa Visa Electron Visa Debit / Delta MasterCard American Express
FOLLOW US